summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 74cf9bd)
raw | patch | inline | side by side (parent: 74cf9bd)
author | Sebastian Schuberth <sschuberth@gmail.com> | |
Fri, 22 Jan 2010 16:36:36 +0000 (17:36 +0100) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Fri, 22 Jan 2010 23:57:45 +0000 (15:57 -0800) |
The documentation states that "git-difftool falls back to git-mergetool
config variables when the difftool equivalents have not been defined".
Until now, this was not the case for "difftool.prompt".
Signed-off-by: Sebastian Schuberth <sschuberth@gmail.com>
Acked-by: David Aguilar <davvid@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
config variables when the difftool equivalents have not been defined".
Until now, this was not the case for "difftool.prompt".
Signed-off-by: Sebastian Schuberth <sschuberth@gmail.com>
Acked-by: David Aguilar <davvid@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
git-difftool--helper.sh | patch | blob | history |
index e43b5d64de3d06f96063f61d4907a8a95ed1c23b..524f5ea8ab14bb44e5a8e6393e40c0ec5c1ddaa2 100755 (executable)
--- a/git-difftool--helper.sh
+++ b/git-difftool--helper.sh
# difftool.prompt controls the default prompt/no-prompt behavior
# and is overridden with $GIT_DIFFTOOL*_PROMPT.
should_prompt () {
- prompt=$(git config --bool difftool.prompt || echo true)
+ prompt_merge=$(git config --bool mergetool.prompt || echo true)
+ prompt=$(git config --bool difftool.prompt || echo $prompt_merge)
if test "$prompt" = true; then
test -z "$GIT_DIFFTOOL_NO_PROMPT"
else